# activepointseton.cpp File Reference

Template File. More...

`#include "activepointseton.h"`
`#include "activepointsetsmart.h"`
`#include "valuenodelinkconnect.h"`
`#include "valuenodereplace.h"`
`#include "activepointset.h"`
`#include "activepointadd.h"`
`#include "valuedescconnect.h"`
`#include <synfigapp/canvasinterface.h>`
`#include <synfigapp/general.h>`

## Functions

| ACTION_INIT (Action::ActivepointSetOn)
| ACTION_SET_NAME (Action::ActivepointSetOn,"ActivepointSetOn")
| ACTION_SET_LOCAL_NAME (Action::ActivepointSetOn, N_("Mark Activepoint as \"On\""))
| ACTION_SET_TASK (Action::ActivepointSetOn,"set_on")
| ACTION_SET_CATEGORY (Action::ActivepointSetOn, Action::CATEGORY_ACTIVEPOINT|Action::CATEGORY_VALUEDESC)
| ACTION_SET_PRIORITY (Action::ActivepointSetOn,-10)
| ACTION_SET_VERSION (Action::ActivepointSetOn,"0.0")
| ACTION_SET_CVS_ID (Action::ActivepointSetOn,"$Id$")

## Detailed Description

Template File.

$Id$

## Function Documentation

ACTION_INIT | ( | Action::ActivepointSetOn |  | ) |

ACTION_SET_NAME | ( | Action::ActivepointSetOn | ,
|  | "ActivepointSetOn" |  |
| ) |  |  |

ACTION_SET_LOCAL_NAME | ( | Action::ActivepointSetOn | ,
|  | N_("Mark Activepoint as \"On\"") |  |
| ) |  |  |

ACTION_SET_TASK | ( | Action::ActivepointSetOn | ,
|  | "set_on" |  |
| ) |  |  |

ACTION_SET_CATEGORY | ( | Action::ActivepointSetOn | ,
|  | Action::CATEGORY_ACTIVEPOINT|Action::CATEGORY_VALUEDESC |  |
| ) |  |  |

ACTION_SET_PRIORITY | ( | Action::ActivepointSetOn | ,
|  | - | 10 |
| ) |  |  |

ACTION_SET_VERSION | ( | Action::ActivepointSetOn | ,
|  | "0.0" |  |
| ) |  |  |

ACTION_SET_CVS_ID | ( | Action::ActivepointSetOn | ,
|  | "$Id$" |  |
| ) |  |  |